ServiceOperations (Message Queue, 5.1 API Specification)
Date: 2019-01-27

com.sun.messaging.jms.management.server

## Class ServiceOperations

- java.lang.Object
- - com.sun.messaging.jms.management.server.ServiceOperations

-     public class ServiceOperations
      extends java.lang.Object

  Class containing information on service operations.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `GET_CONNECTIONS` Get list of connection MBean object names
    `static java.lang.String` | `GET_CONSUMER_IDS` Get list of consumer IDs.
    `static java.lang.String` | `GET_PRODUCER_IDS` Get list of producer IDs.
    `static java.lang.String` | `GET_SERVICES` Get list of service MBean object names
    `static java.lang.String` | `PAUSE` Pause service.
    `static java.lang.String` | `RESUME` Resume service.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### GET_SERVICES

          public static final java.lang.String GET_SERVICES

      Get list of service MBean object names
      See Also:
        Constant Field Values

    - #### GET_CONNECTIONS

          public static final java.lang.String GET_CONNECTIONS

      Get list of connection MBean object names
      See Also:
        Constant Field Values

    - #### GET_CONSUMER_IDS

          public static final java.lang.String GET_CONSUMER_IDS

      Get list of consumer IDs.
      See Also:
        Constant Field Values

    - #### GET_PRODUCER_IDS

          public static final java.lang.String GET_PRODUCER_IDS

      Get list of producer IDs.
      See Also:
        Constant Field Values

    - #### PAUSE

          public static final java.lang.String PAUSE

      Pause service.
      See Also:
        Constant Field Values

    - #### RESUME

          public static final java.lang.String RESUME

      Resume service.
      See Also:
        Constant Field Values

Copyright (c) 2010, 2017 Oracle and/or its affiliates. All rights reserved.